function loadMasthead() {
  try {
    insertMastHead('filemover','')
  } catch(err) {
//    txt="There was an error during masthead loading.\n\n";
//    txt+="Error description: " + err.description + "\n\n";
//    txt+="Click OK to continue.\n\n";
//    alert(txt);
  }
}
function footerMenuText(){
    return [
{label: "PhEDEx Home", link: "http://cmsdoc.cern.ch/cms/aprom/phedex/", title: "Data placement, transfer monitoring"},
{label: "FileMover", link: "https://cmsweb.cern.ch/filemover/", title: "Fetch your favorite LFN"},

    ]
}

var Updater=Class.create();
Updater.prototype = {
   initialize: function(tab) {
      this.tab=tab
   },
   ajaxUpdate: function(ajaxResponse) {
     var responseHTML=RicoUtil.getContentAsString(ajaxResponse);
     var t=document.getElementById(this.tab);
     t.innerHTML=responseHTML;
     // parse response and search for any JavaScript code there, if found execute it.
     var jsCode = SearchForJSCode(responseHTML);
     if(jsCode) {
        eval(jsCode);
     }
   }
}
function SearchForJSCode(text) {
   var pattern1='<script type="text\/javascript">';
   var pattern2='<script type=\'text\/javascript\'>';
   var end='<\/script>';
   var foundCode=SearchForCode(text,pattern1,end);
   foundCode=foundCode+SearchForCode(text,pattern2,end);
   return foundCode;
}
function SearchForCode(text,begPattern,endPattern) {
   var foundCode='';
   while( text && text.search(begPattern) ) {
       var p=text.split(begPattern);
       for(i=1;i<p.length;i++) {
           var n=p[i].split(endPattern);
           foundCode=foundCode+n[0]+';\n';
       }
       return foundCode;
   }
   return foundCode;
}
function getTagValue(tag)
{
  return document.getElementById(tag).value;
}
function ClearTag(tag) {
  var id=document.getElementById(tag);
  if (id) {
      id.innerHTML="";
  }
}
function SetMethod(tag)
{
  var id=document.getElementById('method');
  id.value=tag;
}
function ajaxAction(user) {
  var lfn=document.getElementById('lfn').value;
  var method=document.getElementById('method').value;
//  var lfnList;
//  if (lfn) {
//      lfnList=new Array();
//      lfnList[0]=lfn;
//  } else {
//      lfnList=document.getElementByNames('lfnsHolder').value;
//  }
//  for(i=0;i<lfnList.length;i++)
//  {
//      lfn = lfnList[i];
      if (method=='request') {
         ajaxRequest(user,lfn);
      }  else if (method=='status') {
         ajaxStatus(user,lfn);
      }  else if (method=='cancel') {
         ajaxCancel(user,lfn);
      }  else {
         alert('ERROR');
      }
//  }
}
function ajaxRequest(user,lfn)
{
  wait();
  ajaxEngine.sendRequest('ajaxRequest','user='+user,'lfn='+lfn);
  setTimeout('ajaxStatusOne(\''+user+'\',\''+lfn+'\')',3000);
}
function ajaxCancel(user,lfn)
{
  wait();
  ajaxEngine.sendRequest('ajaxCancel','user='+user,'lfn='+lfn);
}
function ajaxStatus(user,lfn)
{
  wait();
  ajaxEngine.sendRequest('ajaxStatus','lfn='+lfn,'user='+user);
}
function ajaxStatusOne(user,lfn)
{
  ajaxEngine.sendRequest('ajaxStatusOne','user='+user,'lfn='+lfn);
}
function ajaxRemove(user,lfn)
{
//  wait();
  ajaxEngine.sendRequest('ajaxRemove','lfn='+lfn,'user='+user);
}
function ajaxResolveLfn(user)
{
  wait();
  var dataset=document.getElementById('dataset').value;
  var run=document.getElementById('run').value;
  var minEvt=document.getElementById('minEvt').value;
  var maxEvt=document.getElementById('maxEvt').value;
  var branch=document.getElementById('branch').value;
  ajaxEngine.sendRequest('ajaxResolveLfn','user='+user,'dataset='+dataset,'run='+run,'minEvt='+minEvt,'maxEvt='+maxEvt,'branch='+branch);
}
ajaxEngine.registerAjaxElement('lfnsHolder');
ajaxEngine.registerRequest('ajaxResolveLfn','resolveLfn');
ajaxEngine.registerRequest('ajaxRequest','request');
ajaxEngine.registerRequest('ajaxCancel','cancel');
ajaxEngine.registerRequest('ajaxStatus','status');
ajaxEngine.registerRequest('ajaxRemove','remove');
ajaxEngine.registerRequest('ajaxStatusOne','statusOne');
var ajaxUpdater = new Updater('_response');
ajaxEngine.registerAjaxObject('_response',ajaxUpdater);
//ajaxEngine.registerAjaxElement('_response');
function wait() {
  var id=document.getElementById('_response');
  id.innerHTML='<div><img src="images/loading.gif" alt="loading" /> please wait</div>';
}

